Martin Roth (martinroth(a)google.com) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/12458
-gerrit
commit ef8ff02fe0ab53fb6f36d744b5210a269414740d
Author: Martin Roth <martinroth(a)google.com>
Date: Wed Nov 18 13:09:23 2015 -0700
Makefiles: Add / Update help for makefile targets
Currently running 'make help' just gives help for the kconfig targets.
This adds help for common coreboot and toolchain targets. It stops
printing some of the less common kconfig targets, but still leaves
them in the makefile as documentation.
Change-Id: I2a00fcbc06f05dc4029a91f3dff830c19e4d1329
Signed-off-by: Martin Roth <martinroth(a)google.com>
---
Makefile | 15 +++++++++++++++
Makefile.inc | 11 +++++++++++
util/kconfig/Makefile | 16 +++++++++-------
3 files changed, 35 insertions(+), 7 deletions(-)
diff --git a/Makefile b/Makefile
index 107f3c8..00e0349 100644
--- a/Makefile
+++ b/Makefile
@@ -91,6 +91,21 @@ DOXYGEN_OUTPUT_DIR := doxygen
all: real-all
+help::
+ @echo '*** coreboot platform ***'
+ @echo ' Use "make [target] V=1" for extra build debug information'
+ @echo ' all - Build coreboot'
+ @echo ' clean - Remove coreboot build artifacts'
+ @echo ' distclean - Remove build artifacts and config files'
+ @echo ' doxygen - Build doxygen documentation for coreboot'
+ @echo ' what-jenkins-does - Run platform build tests (Use CPUS=# for more cores)'
+ @echo ' printall - print makefile info for debugging'
+ @echo ' lint / lint-stable - run coreboot lint tools (all / minimal)'
+ @echo ' gitconfig - set up git to subnit patches to coreboot'
+ @echo ' ctags / ctags-project - make ctags file for all of coreboot or current board'
+ @echo ' cscope / cscope-project - make cscope.out file for coreboot or current board'
+ @echo
+
# This include must come _before_ the pattern rules below!
# Order _does_ matter for pattern rules.
include $(srck)/Makefile
diff --git a/Makefile.inc b/Makefile.inc
index 65aa71c..5200a8a 100644
--- a/Makefile.inc
+++ b/Makefile.inc
@@ -442,6 +442,17 @@ gitconfig:
git config remote.origin.push HEAD:refs/for/master
(git config --global user.name >/dev/null && git config --global user.email >/dev/null) || (printf 'Please configure your name and email in git:\n\n git config --global user.name "Your Name Comes Here"\n git config --global user.email your.email(a)example.com\n'; exit 1)
+help::
+ @echo '*** Toolchain ***'
+ @echo ' crossgcc - Build coreboot cross-compilers for all platforms'
+ @echo ' crosstools - Build coreboot cross-compiler and GDB for all platforms'
+ @echo ' crossgcc-clean - Remove all built coreboot cross-compilers'
+ @echo ' crossgcc-ARCH - Build cross-compiler for specific architecture'
+ @echo ' crosstools-ARCH - Build cross-compiler with GDB for specific architecture'
+ @echo ' ARCH can be "i386", "x64", "arm", "aarch64", "mips", or "riscv"'
+ @echo ' Use "make [target] CPUS=#" to build toolchain using multiple cores'
+ @echo
+
# For the toolchain builds, use CPUS=x to use multiple processors to build
# use BUILDGCC_OPTIONS= to set any crossgcc command line options
# Example: BUILDGCC_OPTIONS='-t' will keep temporary files after build
diff --git a/util/kconfig/Makefile b/util/kconfig/Makefile
index 243f763..a468125 100644
--- a/util/kconfig/Makefile
+++ b/util/kconfig/Makefile
@@ -104,22 +104,24 @@ olddefconfig: $(objk)/conf
$< --defconfig=configs/$@ $(Kconfig)
# Help text used by make help
-help:
+help::
+ @echo '*** Kconfig Help ***'
@echo ' config - Update current config utilising a line-oriented program'
@echo ' nconfig - Update current config utilising a ncurses menu based program'
@echo ' menuconfig - Update current config utilising a menu based program'
@echo ' xconfig - Update current config utilising a QT based front-end'
@echo ' gconfig - Update current config utilising a GTK based front-end'
@echo ' oldconfig - Update current config utilising a provided .config as base'
- @echo ' localmodconfig - Update current config disabling modules not loaded'
- @echo ' localyesconfig - Update current config converting local mods to core'
+ #@echo ' localmodconfig - Update current config disabling modules not loaded'
+ #@echo ' localyesconfig - Update current config converting local mods to core'
@echo ' silentoldconfig - Same as oldconfig, but quietly, additionally update deps'
@echo ' defconfig - New config with default answer to all options'
@echo ' savedefconfig - Save current config as ./defconfig (minimal config)'
- @echo ' allnoconfig - New config where all options are answered with no'
- @echo ' allyesconfig - New config where all options are accepted with yes'
- @echo ' allmodconfig - New config selecting modules when possible'
- @echo ' randconfig - New config with random answer to all options'
+ #@echo ' allnoconfig - New config where all options are answered with no'
+ #@echo ' allyesconfig - New config where all options are accepted with yes'
+ #@echo ' allmodconfig - New config selecting modules when possible'
+ #@echo ' randconfig - New config with random answer to all options'
+ @echo
# lxdialog stuff
check-lxdialog := $(srck)/lxdialog/check-lxdialog.sh
the following patch was just integrated into master:
commit 267efa2bd0402851129211871da2c3e54647a5f5
Author: Martin Roth <martinroth(a)google.com>
Date: Wed Nov 18 15:19:07 2015 -0700
google/lars & intel/kunimitsu: Fix Kconfig warnings
EC_SOFTWARE_SYNC depends on CHROMEOS, so move it into the CHROMEOS section.
This fixes the kconfig warning:
warning: (CHROMEOS && BOARD_SPECIFIC_OPTIONS ...) selects
EC_SOFTWARE_SYNC which has unmet direct dependencies
(MAINBOARD_HAS_CHROMEOS && CHROMEOS && VBOOT_VERIFY_FIRMWARE)
Change-Id: I459f48fd18c7568c4584df7d4aefa69dec3e4907
Signed-off-by: Martin Roth <martinroth(a)google.com>
Reviewed-on: http://review.coreboot.org/12460
Tested-by: build bot (Jenkins)
Reviewed-by: Stefan Reinauer <stefan.reinauer(a)coreboot.org>
See http://review.coreboot.org/12460 for details.
-gerrit
Martin Roth (martinroth(a)google.com) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/10663
-gerrit
commit 02683491cf233789d3b8d1ad45bfd4fc9d80d27b
Author: Martin Roth <gaumless(a)gmail.com>
Date: Thu Jun 25 09:36:27 2015 -0600
IASL: Enable warnings as errors
We've actually got more warnings now than when I first tested IASL
warnings as errors. Because of this, I'm adding it with the option
to have it disabled, in hopes that things won't get any worse as we
work on fixing the IASL warnings that are currently in the codebase.
- Enable IASL warnings as errors
- Disable warnings as errors in mainboards that currently have warnings.
- Print a really obnoxious message on those platforms when they build.
***** WARNING: IASL warnings as errors is disabled! *****
***** Please fix the ASL for this platform. *****
Change-Id: If0da0ac709bd8c0e8e2dbd3a498fe6ecb5500a81
Signed-off-by: Martin Roth <gaumless(a)gmail.com>
---
Makefile.inc | 8 ++++++++
src/Kconfig | 13 +++++++++++++
src/mainboard/google/rambi/Kconfig | 4 ++++
src/mainboard/hp/pavilion_m6_1035dx/Kconfig | 4 ++++
src/mainboard/ibase/mb899/Kconfig | 4 ++++
src/mainboard/intel/d945gclf/Kconfig | 4 ++++
src/mainboard/intel/eagleheights/Kconfig | 4 ++++
src/mainboard/iwave/iWRainbowG6/Kconfig | 4 ++++
src/mainboard/kontron/986lcd-m/Kconfig | 4 ++++
src/mainboard/lenovo/r400/Kconfig | 4 ++++
src/mainboard/lenovo/t400/Kconfig | 4 ++++
src/mainboard/lenovo/t420s/Kconfig | 4 ++++
src/mainboard/lenovo/t430s/Kconfig | 4 ++++
src/mainboard/lenovo/t520/Kconfig | 4 ++++
src/mainboard/lenovo/t530/Kconfig | 4 ++++
src/mainboard/lenovo/t60/Kconfig | 4 ++++
src/mainboard/lenovo/x200/Kconfig | 4 ++++
src/mainboard/lenovo/x201/Kconfig | 4 ++++
src/mainboard/lenovo/x220/Kconfig | 4 ++++
src/mainboard/lenovo/x230/Kconfig | 4 ++++
src/mainboard/lenovo/x60/Kconfig | 4 ++++
src/mainboard/lippert/frontrunner-af/Kconfig | 4 ++++
src/mainboard/lippert/toucan-af/Kconfig | 4 ++++
src/mainboard/pcengines/apu1/Kconfig | 4 ++++
src/mainboard/samsung/lumpy/Kconfig | 4 ++++
25 files changed, 113 insertions(+)
diff --git a/Makefile.inc b/Makefile.inc
index 65aa71c..53b658b 100644
--- a/Makefile.inc
+++ b/Makefile.inc
@@ -196,7 +196,11 @@ cbfs-files-$(if $(2),$(2),y) += $(call strip_quotes,$(CONFIG_CBFS_PREFIX))/$(1).
$(obj)/$(1).aml: $(src)/mainboard/$(MAINBOARDDIR)/$(1).asl $(obj)/config.h
@printf " IASL $$(subst $(top)/,,$$(@))\n"
$(CC_ramstage) -x assembler-with-cpp -E -MMD -MT $$(@) $$(CPPFLAGS_ramstage) -D__ACPI__ -P -include $(src)/include/kconfig.h -I$(obj) -I$(src) -I$(src)/include -I$(src)/arch/$(ARCHDIR-$(ARCH-ramstage-y))/include -I$(src)/mainboard/$(MAINBOARDDIR) $$< -o $$@
+ifeq ($(CONFIG_IASL_WARNINGS_ARE_ERRORS),y)
+ cd $$(dir $$@); $(IASL) -we -p $$(notdir $$@) $$(notdir $$@)
+else
cd $$(dir $$@); $(IASL) -p $$(notdir $$@) $$(notdir $$@)
+endif
endef
#######################################################################
@@ -660,6 +664,10 @@ endif
mv $@.tmp $@
@printf " CBFSPRINT $(subst $(obj)/,,$(@))\n\n"
$(CBFSTOOL) $@ print
+ifeq ($(CONFIG_IASL_WARNINGS_ARE_ERRORS),)
+ @printf "\n***** WARNING: IASL warnings as errors is disabled! *****\n"
+ @printf "***** Please fix the ASL for this platform. *****\n\n"
+endif
cbfs-files-$(CONFIG_BOOTSPLASH_IMAGE) += bootsplash.jpg
bootsplash.jpg-file := $(call strip_quotes,$(CONFIG_BOOTSPLASH_FILE))
diff --git a/src/Kconfig b/src/Kconfig
index ff20980..8439a00 100644
--- a/src/Kconfig
+++ b/src/Kconfig
@@ -1067,6 +1067,19 @@ config WARNINGS_ARE_ERRORS
bool
default y
+# TODO: Remove this when all platforms are fixed.
+config IASL_WARNINGS_ARE_ERRORS
+ def_bool y
+ help
+ Select to Fail the build if a IASL generates a warning.
+ This will be defaulted to disabled for the platforms that
+ currently fail. This allows the REST of the platforms to
+ have this check enabled while we're working to get those
+ boards fixed.
+
+ DO NOT ADD TO ANY ADDITIONAL PLATFORMS INSTEAD OF FIXING
+ THE ASL.
+
# The four POWER_BUTTON_DEFAULT_ENABLE, POWER_BUTTON_DEFAULT_DISABLE,
# POWER_BUTTON_FORCE_ENABLE and POWER_BUTTON_FORCE_DISABLE options are
# mutually exclusive. One of these options must be selected in the
diff --git a/src/mainboard/google/rambi/Kconfig b/src/mainboard/google/rambi/Kconfig
index 825df9a..ccc6913 100644
--- a/src/mainboard/google/rambi/Kconfig
+++ b/src/mainboard/google/rambi/Kconfig
@@ -38,4 +38,8 @@ config HAVE_ME_BIN
bool
default n
+# TODO: Remove this when platform ASL is fixed
+config IASL_WARNINGS_ARE_ERRORS
+ def_bool n
+
endif # BOARD_INTEL_BAYLEYBAY
diff --git a/src/mainboard/hp/pavilion_m6_1035dx/Kconfig b/src/mainboard/hp/pavilion_m6_1035dx/Kconfig
index f78cfba..24ec632 100644
--- a/src/mainboard/hp/pavilion_m6_1035dx/Kconfig
+++ b/src/mainboard/hp/pavilion_m6_1035dx/Kconfig
@@ -65,4 +65,8 @@ config VGA_BIOS_ID
string
default "1002,9900"
+# TODO: Remove this when platform ASL is fixed
+config IASL_WARNINGS_ARE_ERRORS
+ def_bool n
+
endif # BOARD_HP_PAVILION_M6_1035DX
diff --git a/src/mainboard/ibase/mb899/Kconfig b/src/mainboard/ibase/mb899/Kconfig
index 4f646ac..66b8122 100644
--- a/src/mainboard/ibase/mb899/Kconfig
+++ b/src/mainboard/ibase/mb899/Kconfig
@@ -49,4 +49,8 @@ config VGA_BIOS_FILE
string
default "amipci_01.20"
+# TODO: Remove this when platform ASL is fixed
+config IASL_WARNINGS_ARE_ERRORS
+ def_bool n
+
endif # BOARD_IBASE_MB899
diff --git a/src/mainboard/intel/d945gclf/Kconfig b/src/mainboard/intel/d945gclf/Kconfig
index 429a304..2023216 100644
--- a/src/mainboard/intel/d945gclf/Kconfig
+++ b/src/mainboard/intel/d945gclf/Kconfig
@@ -50,4 +50,8 @@ config MAX_CPUS
int
default 4
+# TODO: Remove this when platform ASL is fixed
+config IASL_WARNINGS_ARE_ERRORS
+ def_bool n
+
endif # BOARD_INTEL_D945GCLF
diff --git a/src/mainboard/intel/eagleheights/Kconfig b/src/mainboard/intel/eagleheights/Kconfig
index 702e2af..bfcb4ce 100644
--- a/src/mainboard/intel/eagleheights/Kconfig
+++ b/src/mainboard/intel/eagleheights/Kconfig
@@ -35,4 +35,8 @@ config MAX_CPUS
int
default 4
+# TODO: Remove this when platform ASL is fixed
+config IASL_WARNINGS_ARE_ERRORS
+ def_bool n
+
endif # BOARD_INTEL_EAGLEHEIGHTS
diff --git a/src/mainboard/iwave/iWRainbowG6/Kconfig b/src/mainboard/iwave/iWRainbowG6/Kconfig
index 5e92cfb..fbcfb17 100644
--- a/src/mainboard/iwave/iWRainbowG6/Kconfig
+++ b/src/mainboard/iwave/iWRainbowG6/Kconfig
@@ -28,6 +28,10 @@ config IRQ_SLOT_COUNT
int
default 10
+# TODO: Remove this when platform ASL is fixed
+config IASL_WARNINGS_ARE_ERRORS
+ def_bool n
+
# This mainboard might have a higher clocked UART or might not be able to run
# serial output at 115200 baud
diff --git a/src/mainboard/kontron/986lcd-m/Kconfig b/src/mainboard/kontron/986lcd-m/Kconfig
index 2a3cfe2..a589b46 100644
--- a/src/mainboard/kontron/986lcd-m/Kconfig
+++ b/src/mainboard/kontron/986lcd-m/Kconfig
@@ -42,4 +42,8 @@ config VGA_BIOS_FILE
string
default "amipci_01.20"
+# TODO: Remove this when platform ASL is fixed
+config IASL_WARNINGS_ARE_ERRORS
+ def_bool n
+
endif # BOARD_KONTRON_986LCD_M
diff --git a/src/mainboard/lenovo/r400/Kconfig b/src/mainboard/lenovo/r400/Kconfig
index 0966bf1..3664eb0 100644
--- a/src/mainboard/lenovo/r400/Kconfig
+++ b/src/mainboard/lenovo/r400/Kconfig
@@ -4,4 +4,8 @@ config MAINBOARD_PART_NUMBER
string
default "ThinkPad R400"
+# TODO: Remove this when platform ASL is fixed
+config IASL_WARNINGS_ARE_ERRORS
+ def_bool n
+
endif
diff --git a/src/mainboard/lenovo/t400/Kconfig b/src/mainboard/lenovo/t400/Kconfig
index 467cd63..8d258d9 100644
--- a/src/mainboard/lenovo/t400/Kconfig
+++ b/src/mainboard/lenovo/t400/Kconfig
@@ -51,4 +51,8 @@ config CBFS_SIZE
hex
default 0x200000
+# TODO: Remove this when platform ASL is fixed
+config IASL_WARNINGS_ARE_ERRORS
+ def_bool n
+
endif # BOARD_LENOVO_T400
diff --git a/src/mainboard/lenovo/t420s/Kconfig b/src/mainboard/lenovo/t420s/Kconfig
index 65d37a7..0250bc0 100644
--- a/src/mainboard/lenovo/t420s/Kconfig
+++ b/src/mainboard/lenovo/t420s/Kconfig
@@ -73,4 +73,8 @@ config MAINBOARD_PCI_SUBSYSTEM_DEVICE_ID
hex
default 0x21d2
+# TODO: Remove this when platform ASL is fixed
+config IASL_WARNINGS_ARE_ERRORS
+ def_bool n
+
endif # BOARD_LENOVO_T420S
diff --git a/src/mainboard/lenovo/t430s/Kconfig b/src/mainboard/lenovo/t430s/Kconfig
index 6e257dd..2518330 100644
--- a/src/mainboard/lenovo/t430s/Kconfig
+++ b/src/mainboard/lenovo/t430s/Kconfig
@@ -70,4 +70,8 @@ config MAINBOARD_PCI_SUBSYSTEM_DEVICE_ID
hex
default 0x21fb
+# TODO: Remove this when platform ASL is fixed
+config IASL_WARNINGS_ARE_ERRORS
+ def_bool n
+
endif # BOARD_LENOVO_T430S
diff --git a/src/mainboard/lenovo/t520/Kconfig b/src/mainboard/lenovo/t520/Kconfig
index df7c2db..ce33f04 100644
--- a/src/mainboard/lenovo/t520/Kconfig
+++ b/src/mainboard/lenovo/t520/Kconfig
@@ -73,4 +73,8 @@ config MAINBOARD_PCI_SUBSYSTEM_DEVICE_ID
hex
default 0x21cf
+# TODO: Remove this when platform ASL is fixed
+config IASL_WARNINGS_ARE_ERRORS
+ def_bool n
+
endif # BOARD_LENOVO_T520
diff --git a/src/mainboard/lenovo/t530/Kconfig b/src/mainboard/lenovo/t530/Kconfig
index 7b4ca7a..c87521a 100644
--- a/src/mainboard/lenovo/t530/Kconfig
+++ b/src/mainboard/lenovo/t530/Kconfig
@@ -71,4 +71,8 @@ config MAINBOARD_PCI_SUBSYSTEM_DEVICE_ID
hex
default 0x21fa
+# TODO: Remove this when platform ASL is fixed
+config IASL_WARNINGS_ARE_ERRORS
+ def_bool n
+
endif # BOARD_LENOVO_T530
diff --git a/src/mainboard/lenovo/t60/Kconfig b/src/mainboard/lenovo/t60/Kconfig
index 52eeda3..02a5ada 100644
--- a/src/mainboard/lenovo/t60/Kconfig
+++ b/src/mainboard/lenovo/t60/Kconfig
@@ -54,4 +54,8 @@ config SEABIOS_PS2_TIMEOUT
int
default 3000
+# TODO: Remove this when platform ASL is fixed
+config IASL_WARNINGS_ARE_ERRORS
+ def_bool n
+
endif
diff --git a/src/mainboard/lenovo/x200/Kconfig b/src/mainboard/lenovo/x200/Kconfig
index 7bae12d..9b61f75 100644
--- a/src/mainboard/lenovo/x200/Kconfig
+++ b/src/mainboard/lenovo/x200/Kconfig
@@ -48,4 +48,8 @@ config CBFS_SIZE
hex
default 0x200000
+# TODO: Remove this when platform ASL is fixed
+config IASL_WARNINGS_ARE_ERRORS
+ def_bool n
+
endif # BOARD_LENOVO_X200
diff --git a/src/mainboard/lenovo/x201/Kconfig b/src/mainboard/lenovo/x201/Kconfig
index 7f96cbe..39389ee 100644
--- a/src/mainboard/lenovo/x201/Kconfig
+++ b/src/mainboard/lenovo/x201/Kconfig
@@ -49,4 +49,8 @@ config CPU_ADDR_BITS
int
default 36
+# TODO: Remove this when platform ASL is fixed
+config IASL_WARNINGS_ARE_ERRORS
+ def_bool n
+
endif
diff --git a/src/mainboard/lenovo/x220/Kconfig b/src/mainboard/lenovo/x220/Kconfig
index c13b644..5fbda79 100644
--- a/src/mainboard/lenovo/x220/Kconfig
+++ b/src/mainboard/lenovo/x220/Kconfig
@@ -74,4 +74,8 @@ config MAINBOARD_PCI_SUBSYSTEM_DEVICE_ID
hex
default 0x21db
+# TODO: Remove this when platform ASL is fixed
+config IASL_WARNINGS_ARE_ERRORS
+ def_bool n
+
endif # BOARD_LENOVO_X220
diff --git a/src/mainboard/lenovo/x230/Kconfig b/src/mainboard/lenovo/x230/Kconfig
index 1d336eb..370eb77 100644
--- a/src/mainboard/lenovo/x230/Kconfig
+++ b/src/mainboard/lenovo/x230/Kconfig
@@ -74,4 +74,8 @@ config MAINBOARD_PCI_SUBSYSTEM_DEVICE_ID
hex
default 0x21fa
+# TODO: Remove this when platform ASL is fixed
+config IASL_WARNINGS_ARE_ERRORS
+ def_bool n
+
endif # BOARD_LENOVO_X230
diff --git a/src/mainboard/lenovo/x60/Kconfig b/src/mainboard/lenovo/x60/Kconfig
index ab4b58e..1461c6b 100644
--- a/src/mainboard/lenovo/x60/Kconfig
+++ b/src/mainboard/lenovo/x60/Kconfig
@@ -61,4 +61,8 @@ config SEABIOS_PS2_TIMEOUT
int
default 3000
+# TODO: Remove this when platform ASL is fixed
+config IASL_WARNINGS_ARE_ERRORS
+ def_bool n
+
endif
diff --git a/src/mainboard/lippert/frontrunner-af/Kconfig b/src/mainboard/lippert/frontrunner-af/Kconfig
index 1ec219e..ebf362d 100644
--- a/src/mainboard/lippert/frontrunner-af/Kconfig
+++ b/src/mainboard/lippert/frontrunner-af/Kconfig
@@ -76,4 +76,8 @@ config SB800_AHCI_ROM
bool
default n
+# TODO: Remove this when platform ASL is fixed
+config IASL_WARNINGS_ARE_ERRORS
+ def_bool n
+
endif # BOARD_LIPPERT_FRONTRUNNER_AF
diff --git a/src/mainboard/lippert/toucan-af/Kconfig b/src/mainboard/lippert/toucan-af/Kconfig
index 590909b..9e29a85 100644
--- a/src/mainboard/lippert/toucan-af/Kconfig
+++ b/src/mainboard/lippert/toucan-af/Kconfig
@@ -78,4 +78,8 @@ config SB800_AHCI_ROM
bool
default n
+# TODO: Remove this when platform ASL is fixed
+config IASL_WARNINGS_ARE_ERRORS
+ def_bool n
+
endif # BOARD_LIPPERT_TOUCAN_AF
diff --git a/src/mainboard/pcengines/apu1/Kconfig b/src/mainboard/pcengines/apu1/Kconfig
index 2328776..0754596 100644
--- a/src/mainboard/pcengines/apu1/Kconfig
+++ b/src/mainboard/pcengines/apu1/Kconfig
@@ -110,4 +110,8 @@ config PINMUX_UART_D
endchoice
+# TODO: Remove this when platform ASL is fixed
+config IASL_WARNINGS_ARE_ERRORS
+ def_bool n
+
endif # BOARD_PCENGINES_APU1
diff --git a/src/mainboard/samsung/lumpy/Kconfig b/src/mainboard/samsung/lumpy/Kconfig
index ac19be5..1660c27 100644
--- a/src/mainboard/samsung/lumpy/Kconfig
+++ b/src/mainboard/samsung/lumpy/Kconfig
@@ -64,4 +64,8 @@ config EARLY_PCI_MMIO_BASE
endif
+# TODO: Remove this when platform ASL is fixed
+config IASL_WARNINGS_ARE_ERRORS
+ def_bool n
+
endif # BOARD_SAMSUNG_LUMPY
David Hendricks (dhendrix(a)chromium.org) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/12489
-gerrit
commit 71adb7cb7f7a67211a7ac9c2709d5212066790e7
Author: David Hendricks <dhendrix(a)chromium.org>
Date: Thu Nov 19 13:04:27 2015 -0800
board_status.sh: Allow user to override coreboot image path
Some users may wish to run this script using a coreboot image
that does get built in the usual build/ directory, for example
if abuild is used to generate the image.
Change-Id: I7e98780f8b7b57ebbf3babd6a289f0e4fd4103d8
Signed-off-by: David Hendricks <dhendrix(a)chromium.org>
---
util/board_status/board_status.sh | 12 +++++++++---
1 file changed, 9 insertions(+), 3 deletions(-)
diff --git a/util/board_status/board_status.sh b/util/board_status/board_status.sh
index ee27bc0..14a8214 100755
--- a/util/board_status/board_status.sh
+++ b/util/board_status/board_status.sh
@@ -10,6 +10,7 @@ EXIT_SUCCESS=0
EXIT_FAILURE=1
# Stuff from command-line switches
+COREBOOT_IMAGE="build/coreboot.rom"
REMOTE_HOST=""
CLOBBER_OUTPUT=0
UPLOAD_RESULTS=0
@@ -168,6 +169,8 @@ Options
Show this message.
-C
Clobber temporary output when finished. Useful for debugging.
+ -i <image>
+ Path to coreboot image (Default is $COREBOOT_IMAGE).
-r <host>
Obtain machine information from remote host (using ssh).
-s </dev/xxx>
@@ -179,7 +182,7 @@ Options
"
}
-while getopts "Chr:s:S:u" opt; do
+while getopts "Chi:r:s:S:u" opt; do
case "$opt" in
h)
show_help
@@ -188,6 +191,9 @@ while getopts "Chr:s:S:u" opt; do
C)
CLOBBER_OUTPUT=1
;;
+ i)
+ COREBOOT_IMAGE="$OPTARG"
+ ;;
r)
REMOTE_HOST="$OPTARG"
;;
@@ -219,13 +225,13 @@ if test ! -x build/cbfstool; then
make -C util/cbfstool/ && cp util/cbfstool/cbfstool build/cbfstool
fi
test_cmd $LOCAL "$cbfstool_cmd"
-$cbfstool_cmd build/coreboot.rom extract -n config -f ${tmpdir}/config.txt
+$cbfstool_cmd $COREBOOT_IMAGE extract -n config -f ${tmpdir}/config.txt
mv ${tmpdir}/config.txt ${tmpdir}/config.short.txt
cp ${tmpdir}/config.short.txt ${tmpcfg}
yes "" | make DOTCONFIG=${tmpcfg} oldconfig 2>/dev/null >/dev/null
mv ${tmpcfg} ${tmpdir}/config.txt
rm -f ${tmpcfg}.old
-$cbfstool_cmd build/coreboot.rom print > ${tmpdir}/cbfs.txt
+$cbfstool_cmd $COREBOOT_IMAGE print > ${tmpdir}/cbfs.txt
# Obtain board and revision info to form the directory structure:
# <vendor>/<board>/<revision>/<timestamp>
David Hendricks (dhendrix(a)chromium.org) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/12490
-gerrit
commit 1d3c4edcb04f7a00a53d8699f190065f648fbba5
Author: David Hendricks <dhendrix(a)chromium.org>
Date: Thu Nov 19 13:08:51 2015 -0800
board_status.sh: Be smarter about cbfstool usage
This changes how we build and use cbfstool:
1. If build/cbfstool exists, use it.
2. Otherwise, try util/cbfstool/cbfstool.
3. As a last resort, build it and clean it when we're done.
Hopefully this will resolve issues people have had with permissions
and reduce overhead of building cbfstool when not necessary.
Change-Id: I5de6581ca765e5a8420b101a5865ddd633334b9c
Signed-off-by: David Hendricks <dhendrix(a)chromium.org>
---
util/board_status/board_status.sh | 24 +++++++++++++++++++++---
1 file changed, 21 insertions(+), 3 deletions(-)
diff --git a/util/board_status/board_status.sh b/util/board_status/board_status.sh
index 14a8214..ced702b 100755
--- a/util/board_status/board_status.sh
+++ b/util/board_status/board_status.sh
@@ -218,13 +218,27 @@ fi
# Results will be placed in a temporary location until we're ready to upload.
# If the user does not wish to upload, results will remain in /tmp.
tmpdir=$(mktemp -d --tmpdir coreboot_board_status.XXXXXXXX)
-tmpcfg=$(mktemp coreboot_config.XXXXXX)
+# Obtain coreboot config by running cbfstool on the ROM image. cbfstool may
+# already exist in build/ or util/cbfstool/, but if not then we'll build it
+# now and clean it when we're done.
cbfstool_cmd="build/cbfstool"
-if test ! -x build/cbfstool; then
- make -C util/cbfstool/ && cp util/cbfstool/cbfstool build/cbfstool
+do_clean_cbfstool=0
+if test ! -x $cbfstool_cmd; then
+ cbfstool_cmd="util/cbfstool/cbfstool"
+ if test -e $cbfstool_cmd; then
+ if test ! -x $cbfstool_cmd; then
+ echo "Cannot execute $cbfstool_cmd."
+ exit $EXIT_FAILURE
+ fi
+ else
+ make -C util/cbfstool/
+ do_clean_cbfstool=1
+ fi
fi
test_cmd $LOCAL "$cbfstool_cmd"
+
+tmpcfg=$(mktemp coreboot_config.XXXXXX)
$cbfstool_cmd $COREBOOT_IMAGE extract -n config -f ${tmpdir}/config.txt
mv ${tmpdir}/config.txt ${tmpdir}/config.short.txt
cp ${tmpdir}/config.short.txt ${tmpcfg}
@@ -233,6 +247,10 @@ mv ${tmpcfg} ${tmpdir}/config.txt
rm -f ${tmpcfg}.old
$cbfstool_cmd $COREBOOT_IMAGE print > ${tmpdir}/cbfs.txt
+if test $do_clean_cbfstool -eq 1; then
+ make -C util/cbfstool clean
+fi
+
# Obtain board and revision info to form the directory structure:
# <vendor>/<board>/<revision>/<timestamp>
mainboard_dir="$(grep CONFIG_MAINBOARD_DIR ${tmpdir}/config.txt | awk -F '"' '{ print $2 }')"
David Hendricks (dhendrix(a)chromium.org) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/12490
-gerrit
commit a7999ac700f0c41487672e19ed06db34c316d859
Author: David Hendricks <dhendrix(a)chromium.org>
Date: Thu Nov 19 13:08:51 2015 -0800
board_status.sh: Be smarter about cbfstool usage
This changes how we build and use cbfstool:
1. If build/cbfstool exists, use it.
2. Otherwise, try util/cbfstool/cbfstool.
3. As a last resort, build it and clean it when we're done.
Hopefully this will resolve issues people have had with permissions
and reduce overhead of building cbfstool when not necessary.
Change-Id: I5de6581ca765e5a8420b101a5865ddd633334b9c
Signed-off-by: David Hendricks <dhendrix(a)chromium.org>
---
util/board_status/board_status.sh | 24 +++++++++++++++++++++---
1 file changed, 21 insertions(+), 3 deletions(-)
diff --git a/util/board_status/board_status.sh b/util/board_status/board_status.sh
index 93a14f1..41b8036 100755
--- a/util/board_status/board_status.sh
+++ b/util/board_status/board_status.sh
@@ -218,13 +218,27 @@ fi
# Results will be placed in a temporary location until we're ready to upload.
# If the user does not wish to upload, results will remain in /tmp.
tmpdir=$(mktemp -d --tmpdir coreboot_board_status.XXXXXXXX)
-tmpcfg=$(mktemp coreboot_config.XXXXXX)
+# Obtain coreboot config by running cbfstool on the ROM image. cbfstool may
+# already exist in build/ or util/cbfstool/, but if not then we'll build it
+# now and clean it when we're done.
cbfstool_cmd="build/cbfstool"
-if test ! -x build/cbfstool; then
- make -C util/cbfstool/ && cp util/cbfstool/cbfstool build/cbfstool
+do_clean_cbfstool=0
+if test ! -x $cbfstool_cmd; then
+ cbfstool_cmd="util/cbfstool/cbfstool"
+ if test -e $cbfstool_cmd; then
+ if test ! -x $cbfstool_cmd; then
+ echo "Cannot execute $cbfstool_cmd."
+ exit $EXIT_FAILURE
+ fi
+ else
+ make -C util/cbfstool/
+ do_clean_cbfstool=1
+ fi
fi
test_cmd $LOCAL "$cbfstool_cmd"
+
+tmpcfg=$(mktemp coreboot_config.XXXXXX)
$cbfstool_cmd $COREBOOT_IMAGE extract -n config -f ${tmpdir}/config.txt
mv ${tmpdir}/config.txt ${tmpdir}/config.short.txt
cp ${tmpdir}/config.short.txt ${tmpcfg}
@@ -233,6 +247,10 @@ mv ${tmpcfg} ${tmpdir}/config.txt
rm -f ${tmpcfg}.old
$cbfstool_cmd $COREBOOT_IMAGE print > ${tmpdir}/cbfs.txt
+if test $do_clean_cbfstool -eq 1; then
+ make -C util/cbfstool clean
+fi
+
# Obtain board and revision info to form the directory structure:
# <vendor>/<board>/<revision>/<timestamp>
mainboard_dir="$(grep CONFIG_MAINBOARD_DIR ${tmpdir}/config.txt | awk -F '"' '{ print $2 }')"
David Hendricks (dhendrix(a)chromium.org) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/12490
-gerrit
commit 60d4766b875af1082ac43712922d9cbef956b631
Author: David Hendricks <dhendrix(a)chromium.org>
Date: Thu Nov 19 13:08:51 2015 -0800
board_status.sh: Be smarter about cbfstool usage
This changes how we build and use cbfstool:
1. If build/cbfstool exists, use it.
2. Otherwise, try util/cbfstool/cbfstool.
3. As a last resort, build it and clean it when we're done.
Hopefully this will resolve issues people have had with permissions
and reduce overhead of building cbfstool when not necessary.
Change-Id: I5de6581ca765e5a8420b101a5865ddd633334b9c
Signed-off-by: David Hendricks <dhendrix(a)chromium.org>
---
util/board_status/board_status.sh | 23 +++++++++++++++++++----
1 file changed, 19 insertions(+), 4 deletions(-)
diff --git a/util/board_status/board_status.sh b/util/board_status/board_status.sh
index 93a14f1..d0bd1ba 100755
--- a/util/board_status/board_status.sh
+++ b/util/board_status/board_status.sh
@@ -218,13 +218,24 @@ fi
# Results will be placed in a temporary location until we're ready to upload.
# If the user does not wish to upload, results will remain in /tmp.
tmpdir=$(mktemp -d --tmpdir coreboot_board_status.XXXXXXXX)
-tmpcfg=$(mktemp coreboot_config.XXXXXX)
-cbfstool_cmd="build/cbfstool"
-if test ! -x build/cbfstool; then
- make -C util/cbfstool/ && cp util/cbfstool/cbfstool build/cbfstool
+#
+# Obtain coreboot config by running cbfstool on the ROM image
+#
+tmpcfg=$(mktemp coreboot_config.XXXXXX)
+cbfstool_cmd="util/cbfstool/cbfstool"
+do_clean_cbfstool=0
+if test -e $cbfstool_cmd; then
+ if test ! -x $cbfstool_cmd; then
+ echo "Cannot execute $cbfstool_cmd."
+ exit $EXIT_FAILURE
+ fi
+else
+ make -C util/cbfstool/
+ do_clean_cbfstool=1
fi
test_cmd $LOCAL "$cbfstool_cmd"
+
$cbfstool_cmd $COREBOOT_IMAGE extract -n config -f ${tmpdir}/config.txt
mv ${tmpdir}/config.txt ${tmpdir}/config.short.txt
cp ${tmpdir}/config.short.txt ${tmpcfg}
@@ -233,6 +244,10 @@ mv ${tmpcfg} ${tmpdir}/config.txt
rm -f ${tmpcfg}.old
$cbfstool_cmd $COREBOOT_IMAGE print > ${tmpdir}/cbfs.txt
+if test $do_clean_cbfstool -eq 1; then
+ make -C util/cbfstool clean
+fi
+
# Obtain board and revision info to form the directory structure:
# <vendor>/<board>/<revision>/<timestamp>
mainboard_dir="$(grep CONFIG_MAINBOARD_DIR ${tmpdir}/config.txt | awk -F '"' '{ print $2 }')"
David Hendricks (dhendrix(a)chromium.org) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/12489
-gerrit
commit 02e849fb8a20a0175fd3e705d8efe1664747d4f1
Author: David Hendricks <dhendrix(a)chromium.org>
Date: Thu Nov 19 13:04:27 2015 -0800
board_status.sh: Allow user to override coreboot image path
Some users may wish to run this script using a coreboot image
that does get built in the usual build/ directory, for example
if abuild is used to generate the image.
Change-Id: I7e98780f8b7b57ebbf3babd6a289f0e4fd4103d8
Signed-off-by: David Hendricks <dhendrix(a)chromium.org>
---
util/board_status/board_status.sh | 12 +++++++++---
1 file changed, 9 insertions(+), 3 deletions(-)
diff --git a/util/board_status/board_status.sh b/util/board_status/board_status.sh
index ee27bc0..93a14f1 100755
--- a/util/board_status/board_status.sh
+++ b/util/board_status/board_status.sh
@@ -10,6 +10,7 @@ EXIT_SUCCESS=0
EXIT_FAILURE=1
# Stuff from command-line switches
+COREBOOT_IMAGE="build/coreboot.rom"
REMOTE_HOST=""
CLOBBER_OUTPUT=0
UPLOAD_RESULTS=0
@@ -168,6 +169,8 @@ Options
Show this message.
-C
Clobber temporary output when finished. Useful for debugging.
+ -i <image>
+ Path to coreboot image (Default is $COREBOOT_IMAGE).
-r <host>
Obtain machine information from remote host (using ssh).
-s </dev/xxx>
@@ -179,7 +182,7 @@ Options
"
}
-while getopts "Chr:s:S:u" opt; do
+while getopts "Chir:s:S:u" opt; do
case "$opt" in
h)
show_help
@@ -188,6 +191,9 @@ while getopts "Chr:s:S:u" opt; do
C)
CLOBBER_OUTPUT=1
;;
+ i)
+ COREBOOT_IMAGE="$OPTARG"
+ ;;
r)
REMOTE_HOST="$OPTARG"
;;
@@ -219,13 +225,13 @@ if test ! -x build/cbfstool; then
make -C util/cbfstool/ && cp util/cbfstool/cbfstool build/cbfstool
fi
test_cmd $LOCAL "$cbfstool_cmd"
-$cbfstool_cmd build/coreboot.rom extract -n config -f ${tmpdir}/config.txt
+$cbfstool_cmd $COREBOOT_IMAGE extract -n config -f ${tmpdir}/config.txt
mv ${tmpdir}/config.txt ${tmpdir}/config.short.txt
cp ${tmpdir}/config.short.txt ${tmpcfg}
yes "" | make DOTCONFIG=${tmpcfg} oldconfig 2>/dev/null >/dev/null
mv ${tmpcfg} ${tmpdir}/config.txt
rm -f ${tmpcfg}.old
-$cbfstool_cmd build/coreboot.rom print > ${tmpdir}/cbfs.txt
+$cbfstool_cmd $COREBOOT_IMAGE print > ${tmpdir}/cbfs.txt
# Obtain board and revision info to form the directory structure:
# <vendor>/<board>/<revision>/<timestamp>